import requests
from bs4 import BeautifulSoup

# URL da lista dos melhores filmes do IMDb
url = 'https://www.imdb.com/chart/top'
print('Acessando o URL:', url)

# Definindo cabeçalho de requisição para evitar bloqueios
headers = {
    'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/107.0.0.0 Safari/537.36'
}

# Faz a requisição para a URL
resposta = requests.get(url, headers=headers)

# Cria o objeto BeautifulSoup para manipulação do HTML
sopaHTML = BeautifulSoup(resposta.content, 'html.parser')



# Seleciona os elementos que contêm as informações dos filmes
filmes = sopaHTML.find_all('li', class_='ipc-metadata-list-summary-item')
#print(filmes[0])
# Extrai informações de cada filme
for filme in filmes:
    # Título do filme
    titulo = filme.find('h3', class_='ipc-title__text').text
    print(titulo)
    ano = filme.find_all('span', class_='cli-title-metadata-item')
    print(ano[0].text)
    print(ano[1].text)
